"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.layer = exports.make = exports.DynamoDBClientInstance = void 0;
/**
 * @since 1.0.0
 */
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const effect_1 = require("effect");
const DynamoDBServiceConfig = __importStar(require("./DynamoDBServiceConfig.js"));
/**
 * @since 1.0.0
 * @category tags
 */
class DynamoDBClientInstance extends effect_1.Context.Tag("@effect-aws/client-dynamodb/DynamoDBClientInstance")() {
}
exports.DynamoDBClientInstance = DynamoDBClientInstance;
/**
 * @since 1.0.0
 * @category constructors
 */
exports.make = effect_1.Effect.flatMap(DynamoDBServiceConfig.toDynamoDBClientConfig, (config) => effect_1.Effect.acquireRelease(effect_1.Effect.sync(() => new client_dynamodb_1.DynamoDBClient(config)), (client) => effect_1.Effect.sync(() => client.destroy())));
/**
 * @since 1.0.0
 * @category layers
 */
exports.layer = effect_1.Layer.scoped(DynamoDBClientInstance, exports.make);
//# sourceMappingURL=DynamoDBClientInstance.js.map