/**
 * @since 1.0.0
 */
import { DynamoDBClient } from "@aws-sdk/client-dynamodb";
import { Context, Effect, Layer } from "effect";
declare const DynamoDBClientInstance_base: Context.TagClass<DynamoDBClientInstance, "@effect-aws/client-dynamodb/DynamoDBClientInstance", DynamoDBClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class DynamoDBClientInstance extends DynamoDBClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const make: Effect.Effect<DynamoDBClient, never, import("effect/Scope").Scope>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const layer: Layer.Layer<DynamoDBClientInstance, never, never>;
export {};
//# sourceMappingURL=DynamoDBClientInstance.d.ts.map