"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SdkError = exports.AllServiceErrors = void 0;
const commons_1 = require("@effect-aws/commons");
exports.AllServiceErrors = [
    "BackupInUseException",
    "BackupNotFoundException",
    "ConditionalCheckFailedException",
    "ContinuousBackupsUnavailableException",
    "DuplicateItemException",
    "ExportConflictException",
    "ExportNotFoundException",
    "GlobalTableAlreadyExistsException",
    "GlobalTableNotFoundException",
    "IdempotentParameterMismatchException",
    "ImportConflictException",
    "ImportNotFoundException",
    "IndexNotFoundException",
    "InternalServerError",
    "InvalidEndpointException",
    "InvalidExportTimeException",
    "InvalidRestoreTimeException",
    "ItemCollectionSizeLimitExceededException",
    "LimitExceededException",
    "PointInTimeRecoveryUnavailableException",
    "PolicyNotFoundException",
    "ProvisionedThroughputExceededException",
    "ReplicaAlreadyExistsException",
    "ReplicaNotFoundException",
    "ReplicatedWriteConflictException",
    "RequestLimitExceeded",
    "ResourceInUseException",
    "ResourceNotFoundException",
    "TableAlreadyExistsException",
    "TableInUseException",
    "TableNotFoundException",
    "TransactionCanceledException",
    "TransactionConflictException",
    "TransactionInProgressException",
];
exports.SdkError = commons_1.SdkError;
//# sourceMappingURL=Errors.js.map